#
# Conditional build:
%bcond_with		doc	# don't build doc
%bcond_with		tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module

%define 	module		gitlab
%define 	egg_name	python_gitlab
%define		pypi_name	python-gitlab
Summary:	Interact with GitLab API
Name:		python-gitlab
Version:	0.16
Release:	2
License:	LGPLv3
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	e0421d930718021e7d796d74d2ad7194
Source1:	config.cfg
URL:		https://github.com/gpocentek/python-gitlab
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	sphinx-pdg
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interact with GitLab API

%package -n python3-gitlab
Summary:	Interact with GitLab API
Group:		Libraries/Python

%description -n python3-gitlab
Interact with GitLab API

%prep
%setup -q

# Remove bundled egg-info
%{__rm} -r %{egg_name}.egg-info

%build
%if %{with python2}
%py_build %{?with_tests:test}

%if %{with doc}
sphinx-build-2 docs html
%{__rm} -r html/.{doctrees,buildinfo}
%endif
%endif

%if %{with python3}
%py3_build %{?with_tests:test}

%if %{with doc}
sphinx-build-3 docs html
%{__rm} -r html/.{doctrees,buildinfo}
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
mv $RPM_BUILD_ROOT%{_bindir}/gitlab $RPM_BUILD_ROOT%{_bindir}/gitlab-2
%endif

%if %{with python3}
%py3_install
mv $RPM_BUILD_ROOT%{_bindir}/gitlab $RPM_BUILD_ROOT%{_bindir}/gitlab-3
%endif

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{_sourcedir}/config.cfg $RPM_BUILD_ROOT%{_sysconfdir}/python-gitlab.cfg

ln -s gitlab-2 $RPM_BUILD_ROOT%{_bindir}/gitlab

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.cfg
%attr(755,root,root) %{_bindir}/gitlab-2
%attr(755,root,root) %{_bindir}/gitlab
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-gitlab
%defattr(644,root,root,755)
%doc README.rst
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.cfg
%attr(755,root,root) %{_bindir}/gitlab-3
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Sun Oct 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-gitlab.git;a=log;h=master

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> c934a42
- fix egg name cleanup

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> 25586f6
- add sample config

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> c0b8589
- install config

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> ef3bd57
- install default name

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> 20b1c3b
- new, version 0.16

